IPSW-DOWNLOAD-DEV(1)

NAME
ipsw-download-dev - Download IPSWs (and more) from https://developer.apple.com/download

SYNOPSIS
ipsw download dev [flags]

DESCRIPTION
Download IPSWs (and more) from https://developer.apple.com/download

OPTIONS
-h, --help[=false]
    help for dev

--json[=false]
    Output downloadable items as JSON

--more[=false]
    Download 'More' OSes/Apps

--os[=false]
    Download '*OS' OSes/Apps

-o, --output=""
    Folder to download files to

-p, --page=20
    Page size for file lists

--pretty[=false]
    Pretty print JSON

--profile[=false]
    Download Logging Profiles

--sms[=false]
    Prefer SMS Two-factor authentication

-t, --timeout=5m0s
    Timeout for watch attempts in minutes

-k, --vault-password=""
    Password to unlock credential vault (only for file vaults)

-w, --watch=[]
    Developer portal group pattern to watch (i.e. '^iOS.*beta$')

OPTIONS INHERITED FROM PARENT COMMANDS
--black-list=[]
    iOS device black list

-b, --build=""
    iOS BuildID (i.e. 16F203)

--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

-y, --confirm[=false]
    do not prompt user for confirmation

-d, --device=""
    iOS Device (i.e. iPhone11,2)

--insecure[=false]
    do not verify ssl certs

-m, --model=""
    iOS Model (i.e. D321AP)

--no-color[=false]
    disable colorize output

--proxy=""
    HTTP/HTTPS proxy

-_, --remove-commas[=false]
    replace commas in IPSW filename with underscores

--restart-all[=false]
    always restart resumable IPSWs

--resume-all[=false]
    always resume resumable IPSWs

--skip-all[=false]
    always skip resumable IPSWs

-V, --verbose[=false]
    verbose output

-v, --version=""
    iOS Version (i.e. 12.3.1)

--white-list=[]
    iOS device white list

SEE ALSO
ipsw-download(1)

HISTORY
21-Mar-2025 Auto generated by spf13/cobra